Bug 424481 - Anaconda required three kernel parameters in order to function on the Apple Macbook
Anaconda required three kernel parameters in order to function on the Apple M...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-13 18:48 EST by Christer Edwards
Modified: 2009-01-09 00:30 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:30:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christer Edwards 2007-12-13 18:48:51 EST
Description of problem:
In order to successfully install Fedora 8 on my Apple Macbook I needed three
kernel parameters, which took a fair amount of searching to find.

For the installer to even load at all it needed 'nohz=off nolapic', and beyond
that it needed 'irqpoll' to avoid a very annoying key repeat error (all input is
doubled)

Version-Release number of selected component (if applicable):
...whatever is current anaconda version with fedora 8 DVD release .iso

How reproducible:
every time

Steps to Reproduce:
1. boot from boot.iso or install dvd
2. don't use the above kernel parameters
3. BOOM - no installer for you
  
Actual results:
The installer stops at "starting /sbin/loader" without 'nohz=off nolapic'. 
Beyond that gets a key-repeat error without adding 'irqpoll'

Expected results:
I expect that the installer will work without additional kernel parameter tweaks.

Additional info:
The installer works fine, out of the box, with the Ubuntu and Debian installer.
 Whatever additional parameters or modules they have built in bypass this issue
completely.
Comment 1 Chris Nolan 2007-12-22 07:06:38 EST
What version of Macbook is this? 

Using a MacBook 3.1 (new Santa Rosa - not the Pro version) Fedora 8 x86_64
installs without any problem from the installation media. I have not tried a
live cd or the i386 version.
Comment 2 Christer Edwards 2007-12-22 10:04:35 EST
I believe this is the second gen (Feb 2007-ish), C2D.  Any info I can dig up to
help nail down the version?
Comment 3 Chuck Ebbert 2008-01-02 14:55:05 EST
This was a bug in the original install kernel. Does the respin work? 

  http://spins.fedoraunity.org/unity/fedora-unity-re-spin-f8-20071218


Comment 4 Chris Nolan 2008-01-19 06:45:24 EST
(In reply to comment #2)
> I believe this is the second gen (Feb 2007-ish), C2D.  Any info I can dig up to
> help nail down the version?

I *think* the version info may be located under the battery - the serial number
is certainly there, and no doubt that includes some info on the version number
(possibly encoded).
Comment 5 Bug Zapper 2008-11-26 03:59:50 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 00:30:34 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.